%global srcname compreffor

Name:           python-%{srcname}
Version:        0.4.4
Release:        1%{?dist}
Summary:        CFF table subroutinizer for FontTools

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/googlei18n/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

%description
A CFF (Compact Font Format) table subroutinizer for FontTools.

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pytest
BuildRequires:  python2-pytest-runner
BuildRequires:  python2-fonttools
BuildRequires:  python2-Cython
Requires: python2-fonttools

%description -n python2-%{srcname}
A CFF (Compact Font Format) table subroutinizer for FontTools.


%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-fonttools
BuildRequires:  python3-Cython
Requires: python3-fonttools

%description -n python3-%{srcname}
A CFF (Compact Font Format) table subroutinizer for FontTools.


%prep
%autosetup -n %{srcname}-%{version}
# removing shebangs from modules
sed -i '/#!\/usr\/bin\/env python/d' src/python/compreffor/*Compressor.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%dir %{python2_sitearch}/%{srcname}
%{python2_sitearch}/%{srcname}-*.egg-info
%{python2_sitearch}/%{srcname}/*.py*
%{python2_sitearch}/%{srcname}/*.so
%{python2_sitearch}/%{srcname}/test

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%dir %{python3_sitearch}/%{srcname}
%{python3_sitearch}/%{srcname}-*.egg-info
%{python3_sitearch}/%{srcname}/*.py
%{python3_sitearch}/%{srcname}/*.so
%{python3_sitearch}/%{srcname}/__pycache__
%{python3_sitearch}/%{srcname}/test
%{_bindir}/compreffor

%changelog
* Mon Mar 20 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 0.4.4-1
- Initial package
